<?php

namespace goodboyalex\php_components_pack\traits\ObjectArray;

use Closure;

/**
 * Часть кода класса ObjectArray, отвечающая за константы.
 *
 * @author Александр Бабаев
 * @package php_components_pack
 * @version 1.0
 * @since 1.0
 */
trait ObjectArrayConstantsTrait
{
    /**
     * @var Closure Функция сравнения объектов по умолчанию.
     */
    public Closure $DefaultComparerFunction {
        get {
            return fn (mixed $currentPropertyValue, mixed $searchPropertyValue): bool
                => $currentPropertyValue === $searchPropertyValue;
        }
    }
}